curl --request GET \
--url https://api.mijnklantportaal.nl/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'{
"id": "fac_abc12345def678",
"invoiceNumber": "MKP-2025.0010",
"lines": [
{
"id": "fcl_abc12345def678",
"description": "Pro subscription",
"quantity": 1,
"currency": "EUR",
"amountExclVat": 12.95,
"vatRate": 21,
"vatAmount": 2.72,
"amountInclVat": 15.67
}
],
"currency": "EUR",
"subtotalAmount": 12.95,
"vatAmount": 2.72,
"totalAmount": 15.67,
"issuedAt": "2025-04-12T00:00:00.000Z",
"isPaid": true
}Get a specific MijnKlantportaal invoice
curl --request GET \
--url https://api.mijnklantportaal.nl/v1/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'{
"id": "fac_abc12345def678",
"invoiceNumber": "MKP-2025.0010",
"lines": [
{
"id": "fcl_abc12345def678",
"description": "Pro subscription",
"quantity": 1,
"currency": "EUR",
"amountExclVat": 12.95,
"vatRate": 21,
"vatAmount": 2.72,
"amountInclVat": 15.67
}
],
"currency": "EUR",
"subtotalAmount": 12.95,
"vatAmount": 2.72,
"totalAmount": 15.67,
"issuedAt": "2025-04-12T00:00:00.000Z",
"isPaid": true
}Documentation Index
Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the Invoice to get
"fac_abc12345678"
The requested Invoice
Invoice
ID of the invoice, always starting with fac_.
"fac_abc12345def678"
Number of the invoice
"MKP-2025.0010"
Invoice lines
Show child attributes
Currency the invoice is using. For now, always EUR
"EUR"
Total amount of the invoice, excluding VAT.
12.95
Total VAT amount charged
2.72
Total amount of the invoice, including VAT.
15.67
Date the invoice is issued
"2025-04-12T00:00:00.000Z"
Indicates if the invoice is paid
true